# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="4"

inherit autotools

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="git://github.com/amejia1/libshairport.git"
	inherit git-2
else
	SRC_URI="http://mirrors.xbmc.org/build-deps/darwin-libs/${P}_lib.tar.gz"
	KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Emulates an AirPort Express for the purpose of streaming music from
iTunes and compatible iPods"
HOMEPAGE="https://github.com/amejia1/libshairport"

LICENSE="GPL-2"
SLOT="0"
IUSE="static-libs"
S=""

src_unpack() {
	default
	if [[ ${PV} == "9999" ]] ; then
		git-2_src_unpack
	else
		mv ${P}* "${S}" || die
	fi
}

src_prepare() {
	if [[ ${PV} == "1.2.0.20310" ]] ; then
		epatch "${FILESDIR}"/01-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/02-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/03-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/04-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/05-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/06-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/07-libshairport-1.2.0.20310-*.patch
		epatch "${FILESDIR}"/08-libshairport-1.2.0.20310-*.patch
	fi

	eautoreconf
}

src_configure() {
	econf \
		$(use_enable static-libs static)
}

src_install() {
	default
	use static-libs || find "${ED}" -name '*.la' -delete
}
